[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.OnClick

Notification handler for mouse clicks.

## Declaration

Source position: controls.pp line 1811

`public property TControl.OnClick : TNotifyEvent read FOnClick write FOnClick;`

## Description

A mouse click is associated with the default action for a control, and is often the only event handled in user code.

The action performed for a click can be specified by a user supplied method, or by selecting an Action from a supplied ActionList.

OnClick is signalled (when assigned) from the Click method. It occurs when an Action has not been assigned using the ActionLink for the control. When Action is assigned, the Execute method in the ActionLink is called.

## See also

TControl.Action |  | The Action associated with the control.
TControl.ActionLink |  | Link to the default Action associated with this control.
TBasicAction
TNotifyEvent